REM https://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-5.7.1/PyQt5_gpl-5.7.1.tar.gz

set P=pyqt5
set V=5.7.1
set B=1

set PYTHON=Python36

if "%OSGEO4W_REP%"=="" (
        echo no repository
        exit 1
)

if "%ARCH%"=="x86" (
        set OSGEO4W_ROOT=C:\OSGeo4W
        set VCARCH=x86
) else if "%ARCH%"=="x86_64" (
        set OSGEO4W_ROOT=C:\OSGeo4W64
        set VCARCH=amd64
) else (
        echo invalid arch
        exit
)

set R=%OSGEO4W_REP%\%ARCH%\release\python3\%P%
if not exist %R%\%P% mkdir %R%\%P%

set INSTDIR=install-%ARCH%

call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
call "%OSGEO4W_ROOT%\bin\py3_env.bat"
call "%OSGEO4W_ROOT%\bin\qt5_env.bat"
call "c:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
path %PATH%;c:\cygwin\bin
echo on

set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include
set LIB=%LIB%;%LIB%\include

copy setup.hint %R%\setup.hint

cd ..
set DESTDIR=%CD%\osgeo4w\%INSTDIR%
if not exist %DESTDIR% mkdir %DESTDIR%

if not exist release mkdir release
for %%i in (release .) do copy %OSGEO4W_ROOT%\bin\qt.conf %%i
python configure.py ^
 	--verbose ^
	--confirm-license ^
	--destdir %DESTDIR%/apps/%PYTHON%/lib/site-packages ^
	--sipdir %DESTDIR%/apps/%PYTHON%/sip/PyQt5 ^
	--designer-plugindir %DESTDIR%/apps/Qt5/plugins/designer ^
	--stubsdir %DESTDIR%/apps/%PYTHON%/lib/site-packages/PyQt5 ^
	--no-qml-plugin ^
	--disable QtNfc ^
	--qsci-api-destdir %DESTDIR%/apps/Qt5/qsci ^
 	--bindir %DESTDIR%/apps/%PYTHON%/Scripts
if errorlevel 1 (echo config error & goto error)

if not exist osgeo4w\noclean (
	nmake clean
	if errorlevel 1 (echo clean error & goto error)
)

nmake
if errorlevel 1 (echo make error & goto error)

nmake install
if errorlevel 1 (echo install error & goto error)

cd osgeo4w
if not exist %INSTDIR%\etc\postinstall mkdir %INSTDIR%\etc\postinstall
if not exist %INSTDIR%\etc\preremove mkdir %INSTDIR%\etc\preremove
copy postinstall.bat %INSTDIR%\etc\postinstall\%P%.bat
copy preremove.bat %INSTDIR%\etc\preremove\%P%.bat

for %%i in ("%OSGEO4W_ROOT%") do set O4W_ROOT=%%~fsi

for %%i in (pyuic5.bat pyrcc5.bat pylupdate5.bat) do (
	sed ^
		-e 's/%O4W_ROOT:\=\\\\%/@osgeo4w@/g' ^
		%INSTDIR%\apps\%PYTHON%\Scripts\%%i ^
		>%INSTDIR%\apps\%PYTHON%\Scripts\%%i.tmpl
	del %INSTDIR%\apps\%PYTHON%\Scripts\%%i
)

copy ..\LICENSE %R%\%P%-%V%-%B%.txt
tar -C %INSTDIR% -cjf %R%\%P%-%V%-%B%.tar.bz2 apps etc
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/postinstall.bat osgeo4w/preremove.bat osgeo4w/setup.hint

:error
